


/* RESET */
* {
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
}

body {
    margin: 0;
    font-family: Inter, Arial, sans-serif;
    background: #151515;
    color: #fff;
}

/* Play button base */
.play-btn {
    position: absolute;
    bottom: 37.333333333%;
    right: 42%;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    border: none;
    background: #262a2b;
    font-size: 18px;
    cursor: pointer;
    padding-right: 2px;
}
@media (max-width: 768px) {
.play-btn {
    position: absolute;
    bottom: 37.333333333%;
    right: 36%;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    border: none;
    background: #262a2b;
    font-size: 18px;
    cursor: pointer;
    padding-right: 2px;
}    
}
/* APP GRID */
.app {
    display: grid;
    grid-template-columns: 240px 1fr;
    grid-template-rows: 1fr 80px;
    height: 100vh;
}

/* ---------------- SIDEBAR ---------------- */

/* MOBILE SIDEBAR HEADER */
.sidebar-mobile-header {
    display: none;
}

@media (max-width: 768px) {

    .sidebar-mobile-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 14px 16px;
        border-bottom: 1px solid #222;
        background: #151515;
    }

    .close-btn {
        background: none;
        border: none;
        font-size: 22px;
        color: #fff;
        cursor: pointer;
    }

    .close-btn:active {
        opacity: 0.6;
    }
}


.sidebar {
    grid-row: 1 / 3;
    background: #151515;
    padding: 20px;
    overflow-y: auto;
}

.sidebar h2 {
    margin: 0 0 20px;
}

.side-section h4 {
    margin: 16px 0 8px;
    color: #999;
    font-size: 13px;
    text-transform: uppercase;
}

.sidebar a {
    display: block;
    padding: 6px 0;
    color: #ddd;
    text-decoration: none;
    font-size: 14px;
}

.sidebar a:hover {
    color: #fff;
}

/* ---------------- CONTENT ---------------- */
.content {
    overflow-y: auto;
    padding: 24px;
}

.grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

/* ----------------- PAGINATION ----------------*/
.pagination {
    display: flex;
    justify-content: center;
    gap: 8px;
    margin: 15px 0 30px;
}

.page-btn {
    min-width: 38px;
    height: 38px;
    border-radius: 10px;
    background: #1a1a1a;
    color: #fff;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
}

.page-btn:hover {
    background: #2a2a2a;
}

.page-btn.active {
    background: #fff;
    color: #000;
    font-weight: 600;
}

/* Mobile */
@media (max-width: 768px) {
    .pagination {
        margin-bottom: 110px; /* space for player */
    }
}



/* ---------------- TRACK CARD ---------------- */
.track-uploader{
    color: white;
    border-radius: 14px;
    position: relative;
    top: 6px;
    z-index: 10;
    left: -6px;
    margin-bottom: -35px;
    text-align: right;
}
.track-uploader a{
    color: white;
    font-size:10px;
    text-decoration:none;
    text-shadow: 0 0 3px rgba(0, 0, 0, 0.7);
}

.track {
    
    
    overflow: hidden;
    transition: transform .15s;
}

.track:hover {
    transform: translateY(-4px);
}

.track-thumb {
    border-radius: 14px;
    position: relative;
    height: 180px;
    background: #333;
}

.track-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 14px;
}




/* Blink / pulse animation */
@keyframes playBlink {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 rgba(0,255,153,0.0);
    }
    50% {
        transform: scale(1.12);
        box-shadow: 0 0 18px white;
    }
    100% {
        transform: scale(1);
        box-shadow: 0 0 0 rgba(0,255,153,0.0);
    }
}

/* Trigger animation on thumbnail hover */
@media (hover: hover) {
    .track-thumb:hover .play-btn {
        animation: playBlink 1s infinite;
    }
}


.track-meta {
    padding-top: 5px;
    font-size: 15px;
}

.track-meta span {
    color: #aaa;
    font-size: 13px;
}

/* ---------------- PLAYER ---------------- */
.player {
    grid-column: 2;
    background: #181818;
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 10px 16px env(safe-area-inset-bottom);
}

.player img {
    width: 48px;
    height: 48px;
    border-radius: 28px;
    object-fit: cover;
    background: white;
    border: 1px solid #000000;
}

.player audio {
    flex: 1;
}

/* ---------------- MOBILE HEADER ---------------- */
.mobile-header {
    display: none;
}

/* ---------------- MOBILE ---------------- */
@media (max-width: 768px) {

    .app {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 72px;
    }

    /* HEADER */

    .mobile-header {
        display: flex;
        justify-content: space-between;
        background: #000;
        padding: 12px 16px;
        position: sticky;
        top: 0;
        z-index: 20;
        align-items: center;
        flex-direction: row-reverse;
    }


    .menu-btn {
        background: none;
        border: none;
        font-size: 22px;
        color: #fff;
    }

    /* SIDEBAR DRAWER */
    .sidebar {
        position: fixed;
        top: 0;
        left: 0;
        bottom: 0;
        width: 260px;
        transform: translateX(-100%);
        transition: transform .25s ease;
        z-index: 30;
    }

    body.menu-open .sidebar {
        transform: translateX(0);
    }

    /* CONTENT */
    .content {
        padding: 5px;
    }

    .grid {
        grid-template-columns: repeat(2, 1fr);
    }

    /* PLAYER */
    .player {
        grid-column: 1;
        position: fixed;
        bottom: 0px;
        left: 0;
        right: 0;
        z-index: 25;
        padding-bottom: 9px;
    }
}
